
import math
def tmoon(vi,ri,rf,n):
  bigg=6.67e-11        # gravitational constant
  me=5.97e24        # mass of earth
  mm=7.35e22        # mass of moon
  rm=3.84e8        # earth-moon distance
  r=ri
  v=vi
  dr = (rf-ri)/n
  e=-bigg*me/ri-bigg*mm/(rm-ri)+.5*vi**2
  t=0
  for i in range(n):
    u_old = -bigg*me/r-bigg*mm/(rm-r)
    k_old = e - u_old
    v_old = math.sqrt(2.*k_old)
    r = r+dr
    u = -bigg*me/r-bigg*mm/(rm-r)
    k = e - u
    v = math.sqrt(2.*k)
    v_avg = .5*(v_old+v)
    dt=dr/v_avg
    t=t+dt
  return t
